#!/usr/sbin/nft -f

flush ruleset

table inet filter {
  {% if hostvars[groups.proxy_internal[0]].nftables_allow_internal is defined %}
  set internal {
    type ipv4_addr; flags interval;
    elements = {
      {{ hostvars[groups.proxy_internal[0]].nftables_allow_internal -}}
    }
  }
  {% endif %}

  chain input {
    {% if hostvars[groups.proxy_internal[0]].nftables_chain_input is defined %}
    {{ hostvars[groups.proxy_internal[0]].nftables_chain_input -}}
    {% else %}
    type filter hook forward priority 0;
    {% endif %}
  }

  chain forward {
    {% if hostvars[groups.proxy_internal[0]].nftables_chain_forward is defined %}
    {{ hostvars[groups.proxy_internal[0]].nftables_chain_forward -}}
    {% else %}
    type filter hook forward priority 0;
    {% endif %}
  }

  chain output {
    {% if hostvars[groups.proxy_internal[0]].nftables_chain_output is defined %}
    {{ hostvars[groups.proxy_internal[0]].nftables_chain_output -}}
    {% else %}
    type filter hook forward priority 0;
    {% endif %}
  }
}
